package com.common.bean;

import org.litepal.crud.LitePalSupport;


public class CollectInfoEntity extends LitePalSupport {
    private String type;
    private String body;
    private long update_time;

    public long getUpdate_time() {
        return update_time;
    }

    public void setUpdate_time(long update_time) {
        this.update_time = update_time;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }


    public String getBody() {
        return body;
    }

    public void setBody(String body) {
        this.body = body;
    }

    @Override
    public boolean equals(Object entity){
        return entity != null
                && entity instanceof CollectInfoEntity
                && ((CollectInfoEntity)entity).getType() != null && type.equals(((CollectInfoEntity)entity).getType());
    }
    @Override
    public int hashCode(){
        return type.hashCode();
    }


    @Override
    public String toString() {
        return "CollectInfoEntity{" +
                "type='" + type + '\'' +
                ", body='" + body + '\'' +
                '}';
    }
}
